Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# MotionRequest Class Reference

This describes the MotionRequest. More...

`#include <MotionRequest.h>`

Inheritance diagram for MotionRequest:

[legend]
Collaboration diagram for MotionRequest:

[legend]
List of all members.

## Public Types
enum | MotionID { stand, walk, specialAction, getup, playDead, numOfMotion }
| ids for all motion types More...
## Public Member Functions
virtual void | serialize (In *in, Out *out)
void | setFrameNumber (unsigned long frameNumber)
| MotionRequest ()
| constructor, startup motion defined here
bool | operator== (const MotionRequest &other) const
| == operator
void | operator= (const MotionRequest &other)
| = operator
const char * | getMotionName () const
| returns name of current motion
const char * | getSpecialActionName () const
| returns name of current special action if any
const char * | getWalkTypeName () const
| return name of current walking type if any
void | printOut (char *destination) const
| Prints the motion request to a readable string.
## Static Public Member Functions
const char * | getMotionName (MotionID id)
| returns names for motion ids
## Public Attributes
unsigned long | frameNumber
MotionID | motionType
| motion type
SpecialActionRequest | specialActionRequest
| SpecialActionRequest.
TailRequest | tailRequest
WalkRequest | walkRequest
bool | stabilize
| determines if the motion is being stabilized
bool | updateRP
| turns on or off the propagation (by odometry) of the "robot pose" in the "motion" process
int | padding
| Without this padding, the gcc-version crashes.

## Detailed Description

This describes the MotionRequest.

Definition at line 375 of file MotionRequest.h.

## Member Enumeration Documentation

enum MotionRequest::MotionID

  | ids for all motion types Enumeration values:
  stand |
  walk |
  specialAction |
  getup |
  playDead |
  numOfMotion |
Definition at line 398 of file MotionRequest.h.

## Constructor & Destructor Documentation

MotionRequest::MotionRequest | ( |  | ) | `[inline]`

| constructor, startup motion defined here Definition at line 437 of file MotionRequest.h. References motionType, playDead, stabilize, and updateRP.

## Member Function Documentation

virtual void MotionRequest::serialize | ( | In * | in,
|  | Out * | out
| ) | `[inline, virtual]`

| Implements Streamable. Definition at line 378 of file MotionRequest.h. References getMotionName(), motionType, numOfMotion, SpecialActionRequest::numOfSpecialAction, TailRequest::numOfTailRequests, WalkRequest::numOfWalkType, padding, specialActionRequest, SpecialActionRequest::specialActionType, stabilize, STREAM, STREAM_ENUM, STREAM_REGISTER_BEGIN, STREAM_REGISTER_FINISH, tailRequest, TailRequest::tailRequestID, WalkRequest::walkParams, walkRequest, and WalkRequest::walkType.

Here is the call graph for this function:

void MotionRequest::setFrameNumber | ( | unsigned long | frameNumber | ) | `[inline]`

| Definition at line 394 of file MotionRequest.h.

const char* MotionRequest::getMotionName | ( | MotionID | id | ) | `[inline, static]`

| returns names for motion ids Definition at line 408 of file MotionRequest.h. References getup, playDead, specialAction, stand, and walk. Referenced by serialize().

bool MotionRequest::operator== | ( | const MotionRequest & | other | ) | const`[inline]`

| == operator Definition at line 440 of file MotionRequest.h. References getup, motionType, specialAction, specialActionRequest, SpecialActionRequest::specialActionType, stabilize, stand, walk, WalkRequest::walkParams, walkRequest, and WalkRequest::walkType.

void MotionRequest::operator= | ( | const MotionRequest & | other | ) |

| = operator Definition at line 37 of file MotionRequest.cpp.

const char* MotionRequest::getMotionName | ( |  | ) | const`[inline]`

| returns name of current motion Definition at line 474 of file MotionRequest.h. References motionType. Referenced by printOut().

const char* MotionRequest::getSpecialActionName | ( |  | ) | const`[inline]`

| returns name of current special action if any Definition at line 477 of file MotionRequest.h. References SpecialActionRequest::getSpecialActionIDName(), motionType, specialAction, specialActionRequest, and SpecialActionRequest::specialActionType. Referenced by printOut().

Here is the call graph for this function:

const char* MotionRequest::getWalkTypeName | ( |  | ) | const`[inline]`

| return name of current walking type if any Definition at line 486 of file MotionRequest.h. References WalkRequest::getWalkTypeName(), motionType, walk, walkRequest, and WalkRequest::walkType. Referenced by printOut().

Here is the call graph for this function:

void MotionRequest::printOut | ( | char * | destination | ) | const

  | Prints the motion request to a readable string. (E.g. "NormalWalk 100,0,0") Parameters:
  destination | The string to fill
Definition at line 14 of file MotionRequest.cpp. References getMotionName(), getSpecialActionName(), getWalkTypeName(), motionType, Pose2D::rotation, specialAction, Pose2D::translation, walk, WalkRequest::walkParams, walkRequest, Vector2< double >::x, and Vector2< double >::y. Referenced by Xabsl2BehaviorControl::printGeneratedMainActionToString().

Here is the call graph for this function:

## Member Data Documentation

unsigned long MotionRequest::frameNumber

| Definition at line 392 of file MotionRequest.h.

MotionID MotionRequest::motionType

| motion type Definition at line 423 of file MotionRequest.h. Referenced by GT2005MotionControl::determineMotionControlState(), GT2005MotionControl::execute(), GT2005CollisionDetector::execute(), SLBenchmark::execute(), MotionRatingBehaviorControl::execute(), KickLogger::execute(), GT2005BasicBehaviorTurn::execute(), GT2005BasicBehaviorLocateMaxGreen::execute(), GT2005BasicBehaviorCalcWlanBearing::execute(), GT2005BasicBehaviorGoToInterceptionPoint::execute(), GT2005BasicBehaviorGoToPointFast::execute(), GT2005BasicBehaviorGoToRelativePoint::execute(), GT2005BasicBehaviorGoToPoint::execute(), GT2005BasicBehaviorGoToPointAndAvoidObstacles::execute(), GT2005BasicBehaviorGoForwardToPoint::execute(), GT2005BasicBehaviorTurnAroundPointWithRadius::execute(), GT2005BasicBehaviorTurnAroundPointFast::execute(), GT2005BasicBehaviorTurnAroundPoint::execute(), GT2005BasicBehaviorGoalieReturnToGoal::execute(), GT2005BasicBehaviorGoaliePositionReturn::execute(), GT2005BasicBehaviorGoaliePosition::execute(), GT2005BasicBehaviorGoToBallWithoutTurning::execute(), GT2005BasicBehaviorGoToBallPropagated::execute(), GT2005BasicBehaviorGoToBall::execute(), GT2005BasicBehaviorNewGoToBall::execute(), GT2005PotentialFieldBasicBehaviorAvoidRobots::execute(), GT2005PotentialFieldBasicBehaviorOffensiveSupport::execute(), GT2005PotentialFieldBasicBehaviorSupport::execute(), BasicBehaviorPlayDead::execute(), BasicBehaviorStand::execute(), BasicBehaviorSpecialAction::execute(), BasicBehaviorWalk::execute(), Xabsl2BehaviorControl::executeIfEngineCouldNotBeCreated(), InvKinWalkingEngine::executeParameterized(), GT2005WalkingEngine::executeParameterized(), GT2004WalkingEngine::executeParameterized(), GT2005GetupEngine::executeParameterized(), SLBenchmark::FullTurn(), getMotionName(), GT2003MotionNetSpecialActions::getNextData(), getSpecialActionName(), getWalkTypeName(), SLBenchmark::GoToNextTarget(), GT2005WalkCalibrationMainBehavior::Measure(), MotionRequest(), operator==(), MotionRatingBehaviorControl::playDead(), GT2005BehaviorControl::postExecute(), printOut(), GT2003MotionNetSpecialActions::readOdometryTable(), MotionRequestSymbols::registerSymbols(), SLBenchmark::RotateToNextTarget(), WalkAccelerationRestrictor::saveLastWalkParameters(), serialize(), GT2005MotionControl::setMotionControlState(), MotionRatingBehaviorControl::setWalkMotionRequest(), MotionRatingBehaviorControl::stand(), and MotionNetNode::toExecutedMotionRequest().

SpecialActionRequest MotionRequest::specialActionRequest

| SpecialActionRequest. Definition at line 426 of file MotionRequest.h. Referenced by GT2005MotionControl::determineMotionControlState(), GT2005MotionControl::execute(), KickLogger::execute(), BasicBehaviorSpecialAction::execute(), Xabsl2BehaviorControl::executeIfEngineCouldNotBeCreated(), MotionRequestSymbols::getExecutedSpecialActionType(), GT2003MotionNetSpecialActions::getNextData(), getSpecialActionName(), operator==(), GT2003MotionNetSpecialActions::readOdometryTable(), serialize(), and MotionNetNode::toExecutedMotionRequest().

TailRequest MotionRequest::tailRequest

| Definition at line 428 of file MotionRequest.h. Referenced by GT2005BehaviorControl::preExecute(), HeadAndTailSymbols::registerSymbols(), serialize(), and GT2005MotionControl::wagTail().

WalkRequest MotionRequest::walkRequest

| Definition at line 430 of file MotionRequest.h. Referenced by GT2005BallLocator::calculateRobotSpeedValue(), GT2005MotionControl::execute(), GT2005BasicBehaviorDirectedScanForObstacles::execute(), GT2005CollisionDetector::execute(), SLBenchmark::execute(), GT2005BasicBehaviorTurn::execute(), GT2005BasicBehaviorLocateMaxGreen::execute(), GT2005BasicBehaviorCalcWlanBearing::execute(), GT2005BasicBehaviorGoToInterceptionPoint::execute(), GT2005BasicBehaviorGoToPointFast::execute(), GT2005BasicBehaviorGoToRelativePoint::execute(), GT2005BasicBehaviorGoToPoint::execute(), GT2005BasicBehaviorGoToPointAndAvoidObstacles::execute(), GT2005BasicBehaviorGoForwardToPoint::execute(), GT2005BasicBehaviorTurnAroundPointWithRadius::execute(), GT2005BasicBehaviorTurnAroundPointFast::execute(), GT2005BasicBehaviorTurnAroundPoint::execute(), GT2005BasicBehaviorGoalieReturnToGoal::execute(), GT2005BasicBehaviorGoaliePositionReturn::execute(), GT2005BasicBehaviorGoaliePosition::execute(), GT2005BasicBehaviorGoToBallWithoutTurning::execute(), GT2005BasicBehaviorGoToBallPropagated::execute(), GT2005BasicBehaviorGoToBall::execute(), GT2005BasicBehaviorNewGoToBall::execute(), GT2005PotentialFieldBasicBehaviorAvoidRobots::execute(), GT2005PotentialFieldBasicBehaviorOffensiveSupport::execute(), GT2005PotentialFieldBasicBehaviorSupport::execute(), BasicBehaviorStand::execute(), BasicBehaviorWalk::execute(), InvKinWalkingEngine::executeParameterized(), GT2005WalkingEngine::executeParameterized(), GT2004WalkingEngine::executeParameterized(), SLBenchmark::FullTurn(), MotionRequestSymbols::getSpeedX(), MotionRequestSymbols::getSpeedY(), getWalkTypeName(), SLBenchmark::GoToNextTarget(), GT2005BasicBehaviorTurn::Init(), GT2005BasicBehaviorLocateMaxGreen::Init(), KickLoggerSymbols::kickLoggerSetExecuteState(), GT2005WalkCalibrationMainBehavior::Measure(), operator==(), GT2005BehaviorControl::postExecute(), printOut(), MotionRequestSymbols::registerSymbols(), WalkAccelerationRestrictor::restrictAccelerations(), SLBenchmark::RotateToNextTarget(), WalkAccelerationRestrictor::saveLastWalkParameters(), serialize(), and MotionRatingBehaviorControl::setWalkMotionRequest().

bool MotionRequest::stabilize

| determines if the motion is being stabilized Definition at line 467 of file MotionRequest.h. Referenced by MotionRequest(), operator==(), serialize(), and MotionStabilizer::stabilize().

bool MotionRequest::updateRP

| turns on or off the propagation (by odometry) of the "robot pose" in the "motion" process Definition at line 471 of file MotionRequest.h. Referenced by MotionRequest().

int MotionRequest::padding

| Without this padding, the gcc-version crashes. Definition at line 500 of file MotionRequest.h. Referenced by serialize().

The documentation for this class was generated from the following files:

- Representations/Motion/MotionRequest.h
- Representations/Motion/MotionRequest.cpp